# Enums and Flags

## Enumerations

enum

Gnome::GdaUI::Action {
Gnome::GdaUI::ACTION_NEW_DATA,
Gnome::GdaUI::ACTION_WRITE_MODIFIED_DATA,
Gnome::GdaUI::ACTION_DELETE_SELECTED_DATA,
Gnome::GdaUI::ACTION_UNDELETE_SELECTED_DATA,
Gnome::GdaUI::ACTION_RESET_DATA,
Gnome::GdaUI::ACTION_MOVE_FIRST_RECORD,
Gnome::GdaUI::ACTION_MOVE_PREV_RECORD,
Gnome::GdaUI::ACTION_MOVE_NEXT_RECORD,
Gnome::GdaUI::ACTION_MOVE_LAST_RECORD,
Gnome::GdaUI::ACTION_MOVE_FIRST_CHUNCK,
Gnome::GdaUI::ACTION_MOVE_PREV_CHUNCK,
Gnome::GdaUI::ACTION_MOVE_NEXT_CHUNCK,
Gnome::GdaUI::ACTION_MOVE_LAST_CHUNCK
}

enum | Gnome::GdaUI::DataProxyWriteMode { Gnome::GdaUI::DATA_PROXY_WRITE_ON_DEMAND, Gnome::GdaUI::DATA_PROXY_WRITE_ON_ROW_CHANGE, Gnome::GdaUI::DATA_PROXY_WRITE_ON_VALUE_ACTIVATED, Gnome::GdaUI::DATA_PROXY_WRITE_ON_VALUE_CHANGE }
enum | Gnome::GdaUI::DataProxyInfoFlag { Gnome::GdaUI::DATA_PROXY_INFO_NONE = 0, Gnome::GdaUI::DATA_PROXY_INFO_CURRENT_ROW = 1 << 0, Gnome::GdaUI::DATA_PROXY_INFO_ROW_MODIFY_BUTTONS = 1 << 2, Gnome::GdaUI::DATA_PROXY_INFO_ROW_MOVE_BUTTONS = 1 << 3, Gnome::GdaUI::DATA_PROXY_INFO_CHUNCK_CHANGE_BUTTONS = 1 << 4, Gnome::GdaUI::DATA_PROXY_INFO_NO_FILTER = 1 << 5 }
enum | Gnome::GdaUI::LoginMode { Gnome::GdaUI::LOGIN_ENABLE_CONTROL_CENTRE_MODE = 1 << 0, Gnome::GdaUI::LOGIN_HIDE_DSN_SELECTION_MODE = 1 << 1, Gnome::GdaUI::LOGIN_HIDE_DIRECT_CONNECTION_MODE = 1 << 2 }

## Functions

DataProxyInfoFlag | Gnome::GdaUI::operator| (DataProxyInfoFlag lhs, DataProxyInfoFlag rhs)
DataProxyInfoFlag | Gnome::GdaUI::operator& (DataProxyInfoFlag lhs, DataProxyInfoFlag rhs)
DataProxyInfoFlag | Gnome::GdaUI::operator^ (DataProxyInfoFlag lhs, DataProxyInfoFlag rhs)
DataProxyInfoFlag | Gnome::GdaUI::operator~ (DataProxyInfoFlag flags)
DataProxyInfoFlag& | Gnome::GdaUI::operator|= (DataProxyInfoFlag& lhs, DataProxyInfoFlag rhs)
DataProxyInfoFlag& | Gnome::GdaUI::operator&= (DataProxyInfoFlag& lhs, DataProxyInfoFlag rhs)
DataProxyInfoFlag& | Gnome::GdaUI::operator^= (DataProxyInfoFlag& lhs, DataProxyInfoFlag rhs)
LoginMode | Gnome::GdaUI::operator| (LoginMode lhs, LoginMode rhs)
LoginMode | Gnome::GdaUI::operator& (LoginMode lhs, LoginMode rhs)
LoginMode | Gnome::GdaUI::operator^ (LoginMode lhs, LoginMode rhs)
LoginMode | Gnome::GdaUI::operator~ (LoginMode flags)
LoginMode& | Gnome::GdaUI::operator|= (LoginMode& lhs, LoginMode rhs)
LoginMode& | Gnome::GdaUI::operator&= (LoginMode& lhs, LoginMode rhs)
LoginMode& | Gnome::GdaUI::operator^= (LoginMode& lhs, LoginMode rhs)

## Enumeration Type Documentation

enum Gnome::GdaUI::Action

Enumerator:

  ACTION_NEW_DATA |
  ACTION_WRITE_MODIFIED_DATA |
  ACTION_DELETE_SELECTED_DATA |
  ACTION_UNDELETE_SELECTED_DATA |
  ACTION_RESET_DATA |
  ACTION_MOVE_FIRST_RECORD |
  ACTION_MOVE_PREV_RECORD |
  ACTION_MOVE_NEXT_RECORD |
  ACTION_MOVE_LAST_RECORD |
  ACTION_MOVE_FIRST_CHUNCK |
  ACTION_MOVE_PREV_CHUNCK |
  ACTION_MOVE_NEXT_CHUNCK |
  ACTION_MOVE_LAST_CHUNCK |

enum Gnome::GdaUI::DataProxyInfoFlag

Bitwise operators:
  `DataProxyInfoFlag operator|(DataProxyInfoFlag, DataProxyInfoFlag)`
  `DataProxyInfoFlag operator&(DataProxyInfoFlag, DataProxyInfoFlag)`
  `DataProxyInfoFlag operator^(DataProxyInfoFlag, DataProxyInfoFlag)`
  `DataProxyInfoFlag operator~(DataProxyInfoFlag)`
  `DataProxyInfoFlag& operator|=(DataProxyInfoFlag&, DataProxyInfoFlag)`
  `DataProxyInfoFlag& operator&=(DataProxyInfoFlag&, DataProxyInfoFlag)`
  `DataProxyInfoFlag& operator^=(DataProxyInfoFlag&, DataProxyInfoFlag)`

Enumerator:

  DATA_PROXY_INFO_NONE |
  DATA_PROXY_INFO_CURRENT_ROW |
  DATA_PROXY_INFO_ROW_MODIFY_BUTTONS |
  DATA_PROXY_INFO_ROW_MOVE_BUTTONS |
  DATA_PROXY_INFO_CHUNCK_CHANGE_BUTTONS |
  DATA_PROXY_INFO_NO_FILTER |

enum Gnome::GdaUI::DataProxyWriteMode

Enumerator:

  DATA_PROXY_WRITE_ON_DEMAND |
  DATA_PROXY_WRITE_ON_ROW_CHANGE |
  DATA_PROXY_WRITE_ON_VALUE_ACTIVATED |
  DATA_PROXY_WRITE_ON_VALUE_CHANGE |

enum Gnome::GdaUI::LoginMode

Bitwise operators:
  `LoginMode operator|(LoginMode, LoginMode)`
  `LoginMode operator&(LoginMode, LoginMode)`
  `LoginMode operator^(LoginMode, LoginMode)`
  `LoginMode operator~(LoginMode)`
  `LoginMode& operator|=(LoginMode&, LoginMode)`
  `LoginMode& operator&=(LoginMode&, LoginMode)`
  `LoginMode& operator^=(LoginMode&, LoginMode)`

Enumerator:

  LOGIN_ENABLE_CONTROL_CENTRE_MODE |
  LOGIN_HIDE_DSN_SELECTION_MODE |
  LOGIN_HIDE_DIRECT_CONNECTION_MODE |

## Function Documentation

LoginMode Gnome::GdaUI::operator& | ( | LoginMode | lhs,
|  | LoginMode | rhs |
| ) |  |  | `[inline]`

DataProxyInfoFlag Gnome::GdaUI::operator& | ( | DataProxyInfoFlag | lhs,
|  | DataProxyInfoFlag | rhs |
| ) |  |  | `[inline]`

LoginMode& Gnome::GdaUI::operator&= | ( | LoginMode & | lhs,
|  | LoginMode | rhs |
| ) |  |  | `[inline]`

DataProxyInfoFlag& Gnome::GdaUI::operator&= | ( | DataProxyInfoFlag & | lhs,
|  | DataProxyInfoFlag | rhs |
| ) |  |  | `[inline]`

LoginMode Gnome::GdaUI::operator^ | ( | LoginMode | lhs,
|  | LoginMode | rhs |
| ) |  |  | `[inline]`

DataProxyInfoFlag Gnome::GdaUI::operator^ | ( | DataProxyInfoFlag | lhs,
|  | DataProxyInfoFlag | rhs |
| ) |  |  | `[inline]`

LoginMode& Gnome::GdaUI::operator^= | ( | LoginMode & | lhs,
|  | LoginMode | rhs |
| ) |  |  | `[inline]`

DataProxyInfoFlag& Gnome::GdaUI::operator^= | ( | DataProxyInfoFlag & | lhs,
|  | DataProxyInfoFlag | rhs |
| ) |  |  | `[inline]`

LoginMode Gnome::GdaUI::operator| | ( | LoginMode | lhs,
|  | LoginMode | rhs |
| ) |  |  | `[inline]`

DataProxyInfoFlag Gnome::GdaUI::operator| | ( | DataProxyInfoFlag | lhs,
|  | DataProxyInfoFlag | rhs |
| ) |  |  | `[inline]`

LoginMode& Gnome::GdaUI::operator|= | ( | LoginMode & | lhs,
|  | LoginMode | rhs |
| ) |  |  | `[inline]`

DataProxyInfoFlag& Gnome::GdaUI::operator|= | ( | DataProxyInfoFlag & | lhs,
|  | DataProxyInfoFlag | rhs |
| ) |  |  | `[inline]`

LoginMode Gnome::GdaUI::operator~ | ( | LoginMode | flags | ) | `[inline]`

DataProxyInfoFlag Gnome::GdaUI::operator~ | ( | DataProxyInfoFlag | flags | ) | `[inline]`